Skip to main content
GET
https://api.aisa.one/apis/v1
/
apollo
/
opportunities
/
search
List All Deals
curl --request GET \
  --url https://api.aisa.one/apis/v1/apollo/opportunities/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/apollo/opportunities/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/apollo/opportunities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "opportunities": "<string>",
  "opportunities[].id": "<string>",
  "opportunities[].owner_id": "<string>",
  "opportunities[].account_id": "<string>",
  "opportunities[].amount": 123,
  "opportunities[].name": "<string>",
  "opportunities[].opportunity_stage_id": "<string>",
  "opportunities[].is_closed": true,
  "opportunities[].is_won": true,
  "opportunities[].created_at": "<string>",
  "pagination": {},
  "pagination.page": 123,
  "pagination.per_page": 123,
  "pagination.total_entries": 123,
  "pagination.total_pages": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort_by_field
string

Sort field

page
integer

Page number

per_page
integer

Items per page

Response

Successful response

opportunities
string

Opportunities list

opportunities[].id
string

Opportunity ID

opportunities[].owner_id
string

Owner ID

opportunities[].account_id
string

Account ID

opportunities[].amount
number

Amount

opportunities[].name
string

Name

opportunities[].opportunity_stage_id
string

Stage ID

opportunities[].is_closed
boolean

Is closed

opportunities[].is_won
boolean

Is won

opportunities[].created_at
string

Created timestamp

pagination
object

Pagination object

pagination.page
integer

Page number

pagination.per_page
integer

Items per page

pagination.total_entries
integer

Total entries

pagination.total_pages
integer

Total pages